#!/bin/bash

#updates WIBOON 2556-04-17

exitusage() 
{
  echo "usage: sh $0 name min max"
  exit 
}

checkinput() 
{ 
  echo $1 | grep -Eq '^(\+|-)?[0-9]+$'
  return $?
}

if [ "$1" = "--help" ] ; then
  exitusage
fi
if [ -z "$1" ] ; then
  echo "need name"
  exitusage
else
  NAME=$1
fi
if [ -z "$2" ] ; then
  echo "need min"
  exitusage
else
  checkinput $2 || exitusage && COUNT=$2
fi
if [ -z "$3" ] ; then
  echo "need max"
  exitusage
else
  checkinput $3 || exitusage && MAX=$3
fi

PFILE=/tmp/$1.$$

while [ ${COUNT} -le ${MAX} ]
do
  #STRPADD=`printf "%02d" ${COUNT}`
  #echo "${NAME}${STRPADD}"
  echo "${NAME}${COUNT}"
  echo "${NAME}${COUNT}" >> ${PFILE}
  COUNT=$(( ${COUNT} + 1 ))
done
while true; do
    read -p "Do you wish to save to file? " yn
    case $yn in
        [Yy]* ) CONFIRM_SAVE="yes"; break;;
        [Nn]* ) CONFIRM_SAVE="no"; break;;
        * ) echo "Please answer y or n.";;
    esac
done
if [ "${CONFIRM_SAVE}" = "no" ]; then
  exit 
fi
read -p "Enter filename: " filename
if [ -f $filename ] ; then
   echo "$filename does exist"
else
   cat ${PFILE} > $filename
   rm ${PFILE}
fi
